LogMessageFolder (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.LogMessageFolder class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class LogMessageFolder

    java.lang.Object
      org.hyperic.hq.product.LogMessageFolder

    public class LogMessageFolder

extends java.lang.Object

Constructor Summary
`LogMessageFolder(LogTrackPlugin plugin)`

Method Summary
`long` | `addMessage(TrackEvent event, java.lang.String message)`
`long` | `getRepeatMax()`
`long` | `getRepeatWindow()`
`void` | `setRepeatMax(long max)`
`void` | `setRepeatWindow(long window)`
`boolean` | `shouldFold(TrackEvent event, java.util.List messages)`
`boolean` | `shouldFold(TrackEvent event, java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogMessageFolder

    public LogMessageFolder(LogTrackPlugin plugin)

Method Detail

### getRepeatMax

    public long getRepeatMax()

### setRepeatMax

    public void setRepeatMax(long max)

### getRepeatWindow

    public long getRepeatWindow()

### setRepeatWindow

    public void setRepeatWindow(long window)

### shouldFold

    public boolean shouldFold(TrackEvent event,
                              java.util.List messages)

### shouldFold

    public boolean shouldFold(TrackEvent event,
                              java.lang.String message)

### addMessage

    public long addMessage(TrackEvent event,
                           java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.